package com.ruoyi.kyBg.mapper;

import java.util.List;
import com.ruoyi.kyBg.domain.KyBgInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 科研报工Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Mapper
public interface KyBgInfoMapper 
{

    /**
     * 根据任务号查找任务关联的所有报工信息
     *
     * @param taskno 任务号
     * @return 结果
     */
     List<KyBgInfo> selectKyBgInfoListByTaskno(String taskno);


    /**
     * 查询科研报工
     * 
     * @param key 科研报工主键
     * @return 科研报工
     */
    public KyBgInfo selectKyBgInfoByKey(Long key);

    /**
     * 查询科研报工列表
     * 
     * @param kyBgInfo 科研报工
     * @return 科研报工集合
     */
    public List<KyBgInfo> selectKyBgInfoList(KyBgInfo kyBgInfo);

    /**
     * 新增科研报工
     * 
     * @param kyBgInfo 科研报工
     * @return 结果
     */
    public int insertKyBgInfo(KyBgInfo kyBgInfo);

    /**
     * 修改科研报工
     * 
     * @param kyBgInfo 科研报工
     * @return 结果
     */
    public int updateKyBgInfo(KyBgInfo kyBgInfo);

    /**
     * 删除科研报工
     * 
     * @param key 科研报工主键
     * @return 结果
     */
    public int deleteKyBgInfoByKey(Long key);

    /**
     * 批量删除科研报工
     * 
     * @param keys 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKyBgInfoByKeys(Long[] keys);

    KyBgInfo selectProjectCostFromKyBgInfoByTaskno(String taskno);
}
